summaryrefslogtreecommitdiffstats
path: root/ci/test_kvmfornfv.sh
diff options
context:
space:
mode:
authorswatisharma <swatix.sharma@intel.com>2016-08-24 00:05:03 +0530
committerswatisharma <swatix.sharma@intel.com>2016-08-24 15:16:34 +0530
commit76aa5ea1c150396731e22389f86430ddc86a01d0 (patch)
tree73f20fb5e3ca892d29576f6de6fff12e0f0161c1 /ci/test_kvmfornfv.sh
parent2b76a9cbd6c127109286c8705f3347415eb26753 (diff)
CI integration for KVMforNFV.
This patch contains scripts for creating a ubuntu docker image with yardstick and all its dependency packages installed for running cyclictest. Co-Authored-By: Gundarapu Reddy <reddyx.gundarapu@intel.com> Signed-off-by: Swati Sharma <swatix.sharma@intel.com>
Diffstat (limited to 'ci/test_kvmfornfv.sh')
-rwxr-xr-xci/test_kvmfornfv.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/ci/test_kvmfornfv.sh b/ci/test_kvmfornfv.sh
index 45d1ea252..e507f37d7 100755
--- a/ci/test_kvmfornfv.sh
+++ b/ci/test_kvmfornfv.sh
@@ -1,15 +1,12 @@
#!/bin/bash
#############################################################
-## !!! The original test_kvmfornfv.sh is removed because it
-## break the verification process!!!
-#############################################################
## This script will launch ubuntu docker container
## runs cyclictest through yardstick
## and verifies the test results.
############################################################
-
+docker_image_dir=$WORKSPACE/docker_image_build
function env_clean {
container_id=`sudo docker ps -a | grep kvmfornfv |awk '{print $1}'`
sudo docker rm $container_id
@@ -21,6 +18,14 @@ function env_clean {
#Cleaning up the test environment before running cyclictest through yardstick.
env_clean
+#Creating a docker image with yardstick installed.
+( cd ${docker_image_dir}; sudo docker build -t kvmfornfv:latest --no-cache=true . )
+if [ ${?} -ne 0 ] ; then
+ echo "Docker image build failed"
+ id=$(sudo docker ps -a | head -2 | tail -1 | awk '{print $1}'); sudo docker rm -f $id
+ exit 1
+fi
+
time_stamp=$(date +%Y%m%d%H%M%S)
volume=/tmp/kvmtest-${time_stamp}
mkdir -p $volume/{image,rpm,scripts}